=== libs/CMakeLists.txt ===
add_subdirectory(plasmaweather)
add_subdirectory(rtm)
