=== debian/changelog ===
kdeplasma-addons (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update descriptions
  * Update email address
  * Add qca2 to build deps

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 13:41:40 +0200

kdeplasma-addons (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Drop liblancelot-dev (popcon 7). Clearly not worth it.
  * Merge liblancelot0 into plasma-widget-lancelot. liblancelot.so.0 broke ABI
    without bumping a soname in KDE SC 4.5 again.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Drop debian/source/lintian-overrides, quilt-build-dep-but-no-series-file no
    longer relevant.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.
  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:18 +0300

kdeplasma-addons (4:4.4.3-1) unstable; urgency=low

  * New upstream release:
    - Image providers in picture frame now work correctly. (Closes: #577948)

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:56 +0300

kdeplasma-addons (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - blubblemon animates correctly. (Closes: #558787)
    - resolves some cyclical relayout crashes and some layout estetic
      problems. (Closes: #564912)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump kdepimlibs5-dev build dependency to 4:4.4.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Change libkexiv2-7-dev build dependency to libkexiv2-dev (>= 4:4.4).
  * Add a symbol file for liblancelot0, build depend on dpkg-dev 1.15.5.
  * Make dpkg-gensymbols not to fail if there are lost symbols in liblancelot0.
  * Remove liblancelot0 to liblancelot0a, library is ABI/API incompatible.
  * Add ${misc:Depends} to all binary packages.

  [ George Kiagiadakis ]
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Bump kdebase-workspace-dev build dependency to >= 4:4.4.
  * Bump libmarble-dev build dependency to >= 4:4.4.
  * Add build dependency on shared-desktop-ontologies, libattica-dev,
    libscim-dev, libxtst-dev, libqalculate-dev, libxml2-dev.
  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:40:08 +0300

kdeplasma-addons (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to current version.
  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:11 +0200

kdeplasma-addons (4:4.3.2-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_fix_armel_build patch, merged upstream.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Oct 2009 19:43:05 +0200

kdeplasma-addons (4:4.3.1-2) unstable; urgency=low

  * Add patch to fix build failure. Thanks to ubuntu people to bring us the
    patch. Modified to use static_cast instead of c-style casts.

 -- Sune Vuorela <debian@pusling.com>  Wed, 09 Sep 2009 08:42:03 +0200

kdeplasma-addons (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by George Kiagiadakis:

  * Remove build dependency on libxcomposite-dev and libxdamage-dev
    as they are no longer needed for building lancelot compositing
    support.

  +++ Changes by Fathi Boudra:

  * Bump KDE build dependencies to 4.3.1.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Aug 2009 17:48:16 +0300

kdeplasma-addons (4:4.3.0-2) unstable; urgency=low

  +++ Changes by George Kiagiadakis:

  * Add dependency on plasma-wallpapers-addons to kdeplasma-addons
    and kdeplasma-addons-dbg.
  * Move plasma_wallpaper_pattern.so to plasma-wallpapers-addons and
    make plasma-wallpapers-addons replace plasma-dataengines-addons for this.
  * Update installed files: install the bball widget icons.
  * Add build dependency on libxcomposite-dev, libxdamage-dev
    and libxrender-dev to build compositing support for lancelot.
  * Add myself to uploaders.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump to Standards-Version: 3.8.3 (no changes required).
  * Update copyright years.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 22 Aug 2009 15:53:02 +0200

kdeplasma-addons (4:4.3.0-1) unstable; urgency=low

  * New upstream release. 
  * Bump to Standards-Version: 3.8.2, no changes required.
  * Bump build dependencies to >= 4.3.0.
  * Update installed files.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Aug 2009 09:20:58 +0200

kdeplasma-addons (4:4.2.96-1) experimental; urgency=low

  * New upstream release candidate.
    - New fancy background things, marble, fractals.

  +++ Changes by Sune Vuorela:

  * Drop patch to make it lancelot work with qt4.5, merged upstream

  +++ Changes by Modestas Vainius:

  * plasma-widgets-addons conflicts & replaces plasma-widget-weather.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 13 Jul 2009 12:39:34 +0300

kdeplasma-addons (4:4.2.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:
  * Fix section for debug package.

