=== debian/control ===
Source: kdeplasma-addons
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), kdepimlibs5-dev (>= 4:4.4), kdebase-workspace-dev (>= 4:4.4),
 libqt4-opengl-dev, libboost-dev, libkexiv2-dev (>= 4:4.4), python, libmarble-dev (>= 4:4.4),
 libqimageblitz-dev, libeigen2-dev, libxrender-dev, shared-desktop-ontologies, libattica-dev,
 libscim-dev, libxtst-dev, libqalculate-dev, libxml2-dev, libqca2-dev
Standards-Version: 3.8.4
Homepage: http://plasma.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdeplasma-addons/#_trunk_packages_kdeplasma-addons_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdeplasma-addons

Package: kdeplasma-addons
Architecture: all
Section: kde
Depends: ${misc:Depends}, plasma-widgets-addons (>= ${source:Version}),
 plasma-runners-addons (>= ${source:Version}),
 plasma-widget-lancelot (>= ${source:Version}),
 plasma-wallpapers-addons (>= ${source:Version})
Description: addons for Plasma
 The KDE Plasma addons module is a collection of additional Plasma
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package is a metapackage that installs all the widgets, data
 engines and krunner plugins from the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-workspace,
 plasma-dataengines-addons (= ${binary:Version}),
Recommends: plasma-widget-lancelot
Replaces: kdeplasma-addons (<= 4:4.1.87+svn905624-0r1), kdeplasma-addons-data, plasma-applets-addons, plasma-widget-weather
Conflicts: kdeplasma-addons-data, plasma-applets-addons, plasma-widget-weather
Description: additional widgets for Plasma
 This package contains additional Plasma widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-dataengines-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons (<= 4:4.1.87+svn905624-0r1), kdeplasma-addons-data, kdeplasma-addons-libs4
Conflicts: kdeplasma-addons-data, kdeplasma-addons-libs4
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma
 addons module. These engines are needed by some plasma widgets
 Plasma widgets, but they may be useful for any other Plasma widget too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons (<= 4:4.1.87+svn905624-0r1), kdeplasma-addons-data, kdeplasma-addons-libs4
Conflicts: kdeplasma-addons-data, kdeplasma-addons-libs4
Description: additional runners for Plasma and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-wallpapers-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-dataengines-addons (<= 4:4.3.0-1)
Description: additional wallpaper plugins for Plasma
 This package contains additional Plasma wallpaper plugins that are used in 
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-lancelot
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons (<= 4:4.1.87+svn905624-0r1), kdeplasma-addons-data, plasma-applet-lancelot,
 deplasma-addons-libs4, liblancelot0, liblancelot0a
Conflicts: kdeplasma-addons-data, plasma-applet-lancelot, kdeplasma-addons-libs4,
 liblancelot0, liblancelot0a
Description: lancelont widget for Plasma
 Lancelot is an application launcher menu (or ALI) for Plasma designed to
 provide a place from which all your jobs begin. It provides quick access
 to applications, places, documents, contacts and system information.
 .
 This package is part of the KDE Plasma addons module.

Package: kdeplasma-addons-dbg
Section: debug
Architecture: any
Priority: extra
Conflicts: kdeplasmoids-dbg
Replaces: kdeplasmoids-dbg
Depends: ${misc:Depends}, plasma-widgets-addons (= ${binary:Version}), plasma-dataengines-addons (= ${binary:Version}),
 plasma-runners-addons (= ${binary:Version}), plasma-widget-lancelot (= ${binary:Version}),
 plasma-wallpapers-addons (= ${binary:Version}), kdebase-workspace-dbg
Description: debugging symbols for kdeplasma-addons
 This package contains the debugging symbols associated with kdeplasma-addons.
 They will automatically be used by gdb for debugging kdeplasma-addons related
 issues.
