=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DH_MAKESHLIBS_ARGS_liblancelot0 := -V -u-c0

clean::
	find applets/lancelot/tools/puck -name *.pyc -delete
